Skip to main content
GET
/
customers
/
{customerID}
/
card_accounts
/
{cardAccountID}
/
authorizations
Retrieve pending card authorizations
curl --request GET \
  --url https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/authorizations \
  --header 'Api-Key: <api-key>'
{ "count": 123, "data": [ { "id": "<string>", "amount": "<string>", "merchant_category_code": "<string>", "description": "<string>", "authorized_at": "<string>", "details": { "vendor_auth_id": "<string>" }, "billing_amount": "<string>", "local_transaction_details": { "amount": "<string>", "currency": "<string>", "exchange_rate": "<string>" }, "verification_data": {} } ] }

Documentation Index

Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Api-Key
string
header
required

Path Parameters

customerID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*
cardAccountID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*

Query Parameters

limit
integer

The number of pending card authorizations to return, with a max of 200. The default is 100

starting_time
string

The starting time in ISO8601 format. Default is 50 days ago.

ending_time
string

The exclusive ending time in ISO8601 format. Default is now.

status
enum<string>

A status to filter the authorizations by. If not provided, will default to approved.

Available options:
approved,
denied

Response

Pending card authorizations

count
integer
required

The number of card authorizations returned

data
object[]
required